#ifndef BOXINGSIMHEADER
#define BOXINGSIMHEADER
#include "Scene.h"
#include "TimeStamp.h"
#include "PointLight.h"
#include "Camera.h"
#include "Font.h"
#include "Axis3D.h"
#include "Agent.h"
#include "KeyboardAgent.h"



class BoxingSim : public Scene
{
	TimeStamp initTime;
	TimeStamp lastUpdate;
	TimeStamp animStartTime;

	int updates;

	double renderTime,updateTime,interval;

	Camera theCamera;
	PointLight frontLight,overheadLight;

	void HandleInput();
	float theta,phi,dist; //camera coords
	KeyboardAgent boxer1,boxer2;

public:
	BoxingSim();
	~BoxingSim();
	bool Initialize();
	void RenderPersp();
	void RenderOrtho();
	void Update();
};


#endif
