#include "KeyboardAgent.h"
KeyboardAgent::KeyboardAgent()
{
	thoughts.resize(4);
};

KeyboardAgent::~KeyboardAgent()
{
}

void 
KeyboardAgent::Think()
{
	for (unsigned int i = 0; i < events.size(); i++)
	{
		if (events[i].type == InputEvent::KeyDown)
		{
			//here's an axample of how to set parameters, and play an animation
			switch (events[i].ID)
			{
			case '1':
			case '3':
				thoughts[0] = "step_forward amateur";
				actor.SetAttribute("amateur",1);
				actor.SetAttribute("energetic",0);
				actor.PlayAction("step_forward");

				break;
			case '2':
			case '4':
				thoughts[0] = "step_forward energetic";
				actor.SetAttribute("amateur",0);
				actor.SetAttribute("energetic",1);
				actor.PlayAction("step_forward");
				break;
			default:
				break;
			}
		}
	
	}
	events.clear();

	if (actor.IsIdle())
	{
		actor.PlayAction("idle");
		thoughts[0] = "idle";
	}

	thoughts[1] = actor.GetCurrentAnimation();
	

	//angle to pelvis
	Matrix4x4 opelvis,mypelvis;
	opponent->GetActor()->GetJointXform("pelvis",opelvis);
	actor.GetJointXform("pelvis",mypelvis);
	Vector3 op(0,0,0), me(0,0,0);
	op.Mult(opelvis);
	me.Mult(mypelvis);
	Vector3 dir;
	dir.Sub(op, me);
	float pangle = atan2(dir[0],dir[2]) * 180.0f/3.14159f;
	char str[50];
	sprintf(str,"%f",pangle);

	thoughts[2] = str;


}
