#ifndef MATRIXVECTOR
#define MATRIXVECTOR

void MultMatrix(float * m1,float * m2, float * result);
void MultMatrixVect(float * m, float * v, float * result);
void Identity(float * m);
void ScaleMatrix(float x, float y, float z,float * m);
void RotationMatrixZ(float degree ,float * m);
void RotationMatrixX(float degree ,float * m);
void RotationMatrixY(float degree, float * m);
void RotationMatrixRPY(float r, float p, float y,float*m);
void Transpose(float *m);
void TranslationMatrix(float x, float y, float z, float * m);
void VectorSub(float *v1,float *v2,float *result);
void VectorAdd(float *v1,float *v2,float *result);
void VectorScalerMult(float *v1, float s);
float VectorMag(float * v);
float Vector3Dot(float *v1, float * v2);
float Vector4Dot(float *v1, float * v2);
void NormalizeVector(float * v);
void RotateXYZTranslate(float rx, float ry, float rz, float tx, float ty, float tz, float * m);
void TranslateRotateZYX(float x, float y, float z, float tx, float ty, float tz, float * m);
void MultMatrixVect3(float * m, float * v3, float * result);
void InverseRotate(float * m, float * v);
void InverseTranslate(float * m, float * v);
void MultMatrixVect3(float * m, float * v);
void MultMatrixPre(const float * m1,float * m2);
void MultMatrixPost(float * m1,const float * m2);
void RotateXYZTranslateInv(float x, float y, float z, float tx, float ty, float tz, float * m);



#endif