#ifndef REPETOIREHEADER
#define REPETOIREHEADER
#include <valarray>
#include <string>
#include <map>
#include <vector>
#include <set>
#include "ActionSet.h"


class Repetoire
{
	static std::map<std::string,Repetoire*> reps;
	
	std::map<std::string, ActionSet> actionsets;


	std::string filename;


public:
	Repetoire();
	~Repetoire();
	bool LoadXML(const char * name);
	static bool LoadRepetoire(const char * ID, const char * fname);
	static Repetoire * GetByName(const char * name);

	std::string PickAnim(const std::string & hardc, const std::map<std::string,float> & softc);

};
#endif
