#ifndef FONTHEADER
#define FONTHEADER
#include <string>
#include <map>
class Font
{
protected:
	static std::map<std::string,Font*> fonts;
	unsigned int base;
	unsigned int texture;
	bool loaded;
public:
	Font();
	~Font();

	static bool LoadFont(const char * fname, const char * wname, const char * name,bool flip);
	static void UnLoadFont(const char * name);
	static void Printf(const char* name, unsigned int scale,bool shift,const char *fmt, ...);

};


#endif