#include "Agent.h"

Agent::Agent()
{
	opponent = NULL;
}

Agent::~Agent()
{
}

bool 
Agent::LoadActor(const char * filename)
{
	return actor.LoadXML("boxer.xml");
}

Actor * 
Agent::GetActor()
{
	return &actor;
}

void 
Agent::SetPosition(const Vector3 & pos)
{
	actor.SetPos(pos);
}

void 
Agent::SetHeading(float h)
{
	actor.SetAngle(0,h,0);
}

void 
Agent::AddInputEvent(InputEvent & event)
{
	events.push_back(event);
}

void 
Agent::UpdateAnim()
{
	actor.Update();
}

void 
Agent::Render()
{
	actor.Render();
}

void 
Agent::SetOpponent(Agent * op)
{
	opponent = op;
}

std::string 
Agent::GetThoughts(const unsigned int line)
{
	if (line < thoughts.size())
		return thoughts[line];

	return "";
}


