#include "Axis3D.h"

GLuint Axis3D::arrowDL = 0;

void Axis3D::FreeStatic()
{
	glDeleteLists(arrowDL,1);
	arrowDL = 0;
}

void Axis3D::AllocStatic()
{
	if (arrowDL != 0)
		FreeStatic();

	arrowDL = glGenLists(1);
	glNewList(arrowDL,GL_COMPILE);
	glBegin(GL_TRIANGLES);

	glNormal3f(0,.53f,.84f);
	glVertex3f(0,1,0);
	glVertex3f(-.25f,.6f,.25f);
	glVertex3f(.25f,.6f,.25f);

	glNormal3f(.84f,.53f,0);
	glVertex3f(0,1,0);
	glVertex3f(.25f,.6f,.25f);
	glVertex3f(.25f,.6f,-.25f);

	glNormal3f(0,.53f,-.84f);
	glVertex3f(0,1,0);
	glVertex3f(.25f,.6f,-.25f);
	glVertex3f(-.25f,.6f,-.25f);

	glNormal3f(-.84f,.53f,0);
	glVertex3f(0,1,0);
	glVertex3f(-.25f,.6f,-.25f);
	glVertex3f(-.25f,.6f,.25f);
	
	glEnd();
	glBegin(GL_QUADS);
	
	glNormal3f(0,-1,0);
	glVertex3f(-.25f,.6f,.25f);
	glVertex3f(-.25f,.6f,-.25f);
	glVertex3f(.25f,.6f,-.25f);
	glVertex3f(.25f,.6f,.25f);

	glNormal3f(0,0,1);
	glVertex3f(.05f,.6f,.05f);
	glVertex3f(-.05f,.6f,.05f);
	glVertex3f(-.05f,0,.05f);
	glVertex3f(.05f,0,.05f);

	glNormal3f(1,0,0);
	glVertex3f(.05f,.6f,-.05f);
	glVertex3f(.05f,.6f,.05f);
	glVertex3f(.05f,0,.05f);
	glVertex3f(.05f,0,-.05f);

	glNormal3f(0,0,-1);
	glVertex3f(.05f,.6f,-.05f);
	glVertex3f(.05f,0,-.05f);
	glVertex3f(-.05f,0,-.05f);
	glVertex3f(-.05f,.6f,-.05f);
	
	glNormal3f(-1,0,0);
	glVertex3f(-.05f,.6f,-.05f);
	glVertex3f(-.05f,0,-.05f);
	glVertex3f(-.05f,0,.05f);
	glVertex3f(-.05f,.6f,.05f);

	glNormal3f(0,-1,0);
	glVertex3f(-.05f,0,.05f);
	glVertex3f(-.05f,0,-.05f);
	glVertex3f(.05f,0,-.05f);
	glVertex3f(.05f,0,.05f);

	glEnd();
	
	glEndList();

}

Axis3D::Axis3D()
{
	printf("Created new Axis3D id %d \n",objID);
}

Axis3D::~Axis3D()
{
}
void Axis3D::StaticDraw()
{

	glEnable(GL_COLOR_MATERIAL);

	if (arrowDL == 0)
		AllocStatic();
	glPushMatrix();
	glScalef(.5,1,.5);
	glColor3f(0,1,0);
	glCallList(arrowDL);
	glPopMatrix();

	glPushMatrix();
	glRotatef(-90,0,0,1);
	glScalef(.5,1,.5);
	glColor3f(1,0,0);
	glCallList(arrowDL);
	glPopMatrix();

	glPushMatrix();
	glRotatef(90,1,0,0);
	glScalef(.5,1,.5);
	glColor3f(0,0,1);
	glCallList(arrowDL);
	glPopMatrix();

}
void Axis3D::Draw()
{
	StaticDraw();
	/*if (arrowDL == 0)
		AllocStatic();
	glPushMatrix();
	glScalef(.5,1,.5);
	glColor3f(0,1,0);
	glCallList(arrowDL);
	glPopMatrix();

	glPushMatrix();
	glRotatef(-90,0,0,1);
	glScalef(.5,1,.5);
	glColor3f(1,0,0);
	glCallList(arrowDL);
	glPopMatrix();

	glPushMatrix();
	glRotatef(90,1,0,0);
	glScalef(.5,1,.5);
	glColor3f(0,0,1);
	glCallList(arrowDL);
	glPopMatrix();*/
}

